Obtenir les détails du projet
curl --request GET \
--url https://api.voicecheap.ai/v1/projects/{projectId} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.voicecheap.ai/v1/projects/{projectId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.voicecheap.ai/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "<string>",
"projectName": "<string>",
"status": "<string>",
"workflow": "<string>",
"originalVideoUrl": "<string>",
"originalLanguage": "<string>",
"targetLanguages": [
"<string>"
],
"duration": 123,
"createdAt": 123,
"progress": {
"progress.step": "<string>",
"progress.transcriptionProgress": 123,
"progress.transcriptionStatus": "<string>"
},
"translations": [
{
"translations[].workId": "<string>",
"translations[].translatedVersionId": "<string>",
"translations[].targetLanguage": "<string>",
"translations[].status": "<string>",
"translations[].currentStep": "<string>",
"translations[].progress": 123,
"translations[].createdAt": 123,
"translations[].completedAt": 123,
"translations[].failedAt": 123,
"translations[].timedOutAt": 123,
"translations[].translatedVideoUrl": "<string>",
"translations[].translatedAudioUrl": "<string>",
"translations[].settings": {},
"translations[].error": {}
}
],
"translations[].lipSync": {
"translations[].lipSync.latest": {},
"translations[].lipSync.history": [
{}
],
"translations[].lipSync.history[].jobId": "<string>",
"translations[].lipSync.history[].status": "<string>",
"translations[].lipSync.history[].videoUrl": "<string>",
"translations[].lipSync.history[].type": "<string>",
"translations[].lipSync.history[].activeSpeakerDetectionEnabled": true
},
"translations[].dynamicSubtitles": {},
"translations[].publicationAttempts": [
{}
],
"translations[].publishedVideos": [
{}
]
}Traduction
Obtenir les détails du projet
Récupérer les détails publics du projet, l’historique des versions traduites et l’historique de synchronisation labiale
Obtenir les détails du projet
Obtenir les détails du projet
Récupérer une vue publique normalisée d’un projet. Utilisez ce point de terminaison lorsque vous avez besoin de l’historique des versions traduites, de l’historique de synchronisation labiale, de l’état des sous-titres dynamiques ou de l’état de publication. Pour un interrogatoire fréquent, continuez à utiliser Obtenir le statut de traduction. Ce point de terminaison est plus riche et renvoie intentionnellement plus de données.Requête
En-têtes
string
requis
Votre clé API VoiceCheap. Obtenez-en une sur app.voicecheap.ai/page-api.
Paramètres de chemin
string
requis
L’identifiant unique du projet renvoyé par Créer un projet ou Démarrer la traduction.
Réponse
string
requis
L’identifiant unique du projet.
string
requis
Le nom du projet.
string
requis
Statut public du projet :
processing, success ou failed.string
requis
Flux de travail API :
translation ou transcription. Les flux de travail de transcription atteignent le succès lorsque la transcription source est terminée.string
requis
URL vers le fichier vidéo ou audio original téléchargé.
string
requis
La langue originale détectée ou spécifiée.
string[]
requis
Langues cibles associées au projet.
number
requis
Durée du contenu en secondes.
number
requis
Horodatage Unix de création du projet.
object
requis
Progression actuelle au niveau du projet.
array
requis
Historique des versions traduites, trié avec la version la plus récente en premier.
Afficher propriétés de traduction
Afficher propriétés de traduction
string
Identifiant du travail de traduction.
string
Identifiant de la version traduite.
string
Langue cible pour cette version.
string
Statut de la version de traduction :
in-progress, completed, not-started ou failed.string
Étape actuelle de doublage pour cette version.
number
Pourcentage approximatif de progression du doublage.
number
Horodatage de création de cette version traduite.
number
Horodatage d’achèvement lorsqu’il est disponible.
number
Horodatage d’échec lorsqu’il est disponible.
number
Horodatage de délai d’attente lorsqu’il est disponible.
string
URL de la vidéo traduite.
string
URL de l’audio traduit.
object
Paramètres publics utilisés pour la version traduite, tels que les sous-titres, SmartSync, l’audio d’arrière-plan et le mode de qualité.
object
Code d’erreur et message en cas d’échec de la version traduite.
object
Historique de la synchronisation labiale pour la version traduite, présent uniquement lorsque la synchronisation labiale a été demandée.
Afficher Propriétés de synchronisation labiale
Afficher Propriétés de synchronisation labiale
object
Dernière tentative de synchronisation labiale.
array
Toutes les tentatives de synchronisation labiale pour cette version traduite, par ordre de création.
string
Identifiant de la tâche de synchronisation labiale.
string
Statut de la synchronisation labiale :
PENDING, PROCESSING, COMPLETED, FAILED, REJECTED ou CANCELED.string
URL de la vidéo avec synchronisation labiale une fois terminée.
string
Mode de synchronisation labiale :
standard, pro ou studio.boolean
Indique si la détection du locuteur actif était activée pour cette tentative.
object
État des sous-titres dynamiques lorsqu’ils sont disponibles.
array
État de la tentative de publication publique lorsqu’il est disponible.
array
Références de la vidéo publiée publiquement lorsqu’elles sont disponibles.
Exemple
cURL
curl -X GET "https://api.voicecheap.ai/v1/projects/abc123-def456-ghi789" \
-H "x-api-key: vc_your-api-key"
Response
{
"projectId": "abc123-def456-ghi789",
"projectName": "Launch Demo",
"status": "success",
"workflow": "translation",
"originalVideoUrl": "https://storage.example.com/input.mp4",
"originalLanguage": "en",
"targetLanguages": ["french"],
"duration": 120,
"createdAt": 1791280000000,
"progress": {
"step": "done",
"transcriptionProgress": 100,
"transcriptionStatus": "success"
},
"translations": [
{
"workId": "work_123",
"translatedVersionId": "version_456",
"targetLanguage": "french",
"status": "completed",
"currentStep": "done",
"progress": 100,
"createdAt": 1791280200000,
"completedAt": 1791280800000,
"translatedVideoUrl": "https://storage.example.com/translated.mp4",
"translatedAudioUrl": "https://storage.example.com/translated.mp3",
"settings": {
"voiceCloning": true,
"uploadType": "video",
"keepBackgroundMusic": true,
"keepOriginalVoice": false,
"originalVoiceVolume": 30,
"subtitles": {
"isEnable": true,
"source": "translated"
},
"smartSync": true,
"voiceIsolatorOption": "studio",
"translationQualityMode": "max"
},
"lipSync": {
"latest": {
"jobId": "lip_789",
"status": "COMPLETED",
"videoUrl": "https://storage.example.com/lipsync.mp4",
"errorMessage": null,
"type": "pro",
"createdAt": "2026-06-08T10:00:00.000Z",
"completedAt": "2026-06-08T10:20:00.000Z",
"activeSpeakerDetectionEnabled": true
},
"history": [
{
"jobId": "lip_789",
"status": "COMPLETED",
"videoUrl": "https://storage.example.com/lipsync.mp4",
"errorMessage": null,
"type": "pro",
"createdAt": "2026-06-08T10:00:00.000Z",
"completedAt": "2026-06-08T10:20:00.000Z",
"activeSpeakerDetectionEnabled": true
}
]
}
}
]
}
Erreurs
| Statut | Code | Description |
|---|---|---|
| 401 | MISSING_API_KEY | La clé API est requise |
| 401 | INVALID_API_KEY | La clé API fournie est invalide |
| 403 | FORBIDDEN | Vous n’avez pas l’autorisation d’accéder au projet |
| 404 | PROJECT_NOT_FOUND | Le projet n’existe pas |
| 429 | RATE_LIMIT_EXCEEDED | Trop de requêtes |
| 500 | INTERNAL_ERROR | Erreur serveur inattendue |
Cette page vous a-t-elle été utile ?

